curl --request POST \
--url https://api.dev.endaoment.org/v1/funds/{id}/collaborators/trust \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"companyName": "Acme Corporation",
"userId": "123e4567-e89b-12d3-a456-426614174000"
}
'import requests
url = "https://api.dev.endaoment.org/v1/funds/{id}/collaborators/trust"
payload = {
"companyName": "Acme Corporation",
"userId": "123e4567-e89b-12d3-a456-426614174000"
}
headers = {
"x-api-key": "<x-api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<x-api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
companyName: 'Acme Corporation',
userId: '123e4567-e89b-12d3-a456-426614174000'
})
};
fetch('https://api.dev.endaoment.org/v1/funds/{id}/collaborators/trust', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"collaboratorUserId": "123e4567-e89b-12d3-a456-426614174000",
"fundId": "123e4567-e89b-12d3-a456-426614174000",
"createdAtUtc": "2026-02-11T14:32:10.123Z",
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe"
}Add fund collaborator
Adds a collaborator to a fund through a trusted tech platform integration.
Authorization Requirements
This endpoint requires two headers:
- x-api-key: The tech platform’s secret API key
- Authorization: Bearer token containing the user’s access token
How it works
- Tech Platforms can add collaborators via this trusted API call
- All collaborators added through this endpoint are implicitly trusted
- Tech Platforms must provide:
- User Access token (generated during OAuth) to prove the user authorized modifying their Fund
- The Tech Platform’s API Key to prove the request is coming from a trusted source
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Tech Platform API Key
Path Parameters
The unique identifier of the fund
"123e4567-e89b-12d3-a456-426614174000"
Body
Collaborator information to be added to the fund
Response
Collaborator successfully added to the fund
Unique identifier of the collaboration relationship
"123e4567-e89b-12d3-a456-426614174000"
Unique identifier of the collaborator
"123e4567-e89b-12d3-a456-426614174000"
Unique identifier of the fund
"123e4567-e89b-12d3-a456-426614174000"
UTC timestamp when this collaborator relationship was created
"2026-02-11T14:32:10.123Z"
Email address of the collaborator
"john.doe@example.com"
First name of the collaborator
"John"
Last name of the collaborator
"Doe"
Was this page helpful?